| rfdc Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xrfdc_mts_example.c File Reference

## Overview

RFSoC MultiTile Sync Example test application.

This example calls the RFdc Multi-tile-sync (MTS) API with the following configuration: Tiles to Sync: DAC0, DAC1, ADC0, ADC1, ADC2, ADC3.

MTS expects the PL clock, the AXI stream clock and the FS to all be compatible for it to function correctly. More information surrounding this can be found in PG269.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    3.1   jm     01/24/18 First release
    5.0   sk     09/05/18 Rename XRFdc_MTS_RMW_DRP as XRFdc_ClrSetReg.
    5 0   mus    08/18/18 Updated to remove xparameters.h dependency for linux
                          platform.
    6.0   cog    02/21/19 Removed unnecessary register writes.
                 02/21/19 Set frequency and sample rate to appropriate values
                          for MTS.
                 02/21/19 Set metal log level to DEBUG.
    7.0   cog    07/25/19 Updated example for new metal register API.
    8.1   cog    08/28/20 Make the example toatally generic, updated information.
    10.0  cog    11/26/20 xrfdc_mts.h is now integrated to xrfdc.h.
          cog    03/08/21 MTS now scans reference tile first. This has required a
                          change to the prototype of XRFdc_MultiConverter_Init.

## Functions
int | RFdcMTS_Example (u16 RFdcDeviceId)
| This function runs a MTS test on the RFSoC data converter device using the driver APIs. More...
int | main (void)
| Main function that invokes the MTS example in this file. More...

## Function Documentation

int main | ( | void |  | ) |

Main function that invokes the MTS example in this file.

Parameters

  None. |

Returns
  - XRFDC_SUCCESS if the example has completed successfully.
  - XRFDC_FAILURE if the example has failed.

Note
  None.

References RFdcMTS_Example().

int RFdcMTS_Example | ( | u16 | RFdcDeviceId | ) |

This function runs a MTS test on the RFSoC data converter device using the driver APIs.

This function does the following tasks:

- Initialize the RFdc device driver instance
- Test MTS feature.

Parameters

  RFdcDeviceId | is the XPAR_<XRFDC_instance>_DEVICE_ID value from xparameters.h.

Returns
  - XRFDC_SUCCESS if the example has completed successfully.
  - XRFDC_FAILURE if the example has failed.

Note
  None

References XRFdc_CfgInitialize(), XRFdc_GetDecimationFactor(), XRFdc_GetInterpolationFactor(), XRFdc_LookupConfig(), XRFdc_MultiConverter_Init(), XRFdc_MultiConverter_Sync(), and XRFdc_RegisterMetal().

Referenced by main().